Zum Hauptinhalt springen
GET
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
reports
/
revenue
Fetch revenue
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/reports/revenue \
  --header 'Authorization: Bearer <token>'
{
  "contactsNumber": 123,
  "currencyCode": "AED",
  "dealAmount": 123,
  "dealsNumber": 123,
  "revenueAmount": 123
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign

Abfrageparameter

attributionModel
string
endDate
string

End date to fetch attribution data, YYYY-MM-DD

startDate
string

Start date to fetch attribution data, YYYY-MM-DD

Antwort

successful operation

contactsNumber
integer<int32>

The number of contacts attributed to the campaign.

currencyCode
enum<string>

The currency code used for the revenue attribution, with accepted values including AED, AFN, ALL, and others.

Verfügbare Optionen:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWL
dealAmount
number

The total amount of deals attributed to the campaign.

dealsNumber
integer<int32>

The number of deals attributed to the campaign.

revenueAmount
number

The total revenue amount attributed to the campaign.

Last modified on April 9, 2026